
#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <time.h>
#include <magick/api.h>

#include "bmp2jpg.h"

int bmp2jpg(char** argv)
{
    ExceptionInfo exception;

    Image *image;
    ImageInfo *image_info;

    /*
       Initialize the image info structure and read an image.
     */
    InitializeMagick(*argv);
    GetExceptionInfo(&exception);
    image_info=CloneImageInfo((ImageInfo *) NULL);
    (void) strcpy(image_info->filename,"cam.bmp");
    image=ReadImage(image_info,&exception);
    if (exception.severity != UndefinedException)
	CatchException(&exception);
    if (image == (Image *) NULL)
	exit(1);
    /*
       Write the image as JPG and destroy it.
     */
    (void) strcpy(image->filename,"cam.jpg");
    WriteImage(image_info,image);
    DestroyImageInfo(image_info);
    DestroyImage(image);
    DestroyExceptionInfo(&exception);
    DestroyMagick();
    return(0);
}
